### Method

# GUPnP ServiceProxy call_action

since: 1.2.0

#### Declaration [src]

    GUPnPServiceProxyAction*
    gupnp_service_proxy_call_action (
      GUPnPServiceProxy* proxy,
      GUPnPServiceProxyAction* action,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously call the `action` on the remote UPnP service.

Available since: 1.2.0

#### Parameters

`action`

  Type: `GUPnPServiceProxyAction`

  An action.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` which can be used to cancel the current action call.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GUPnPServiceProxyAction`

`NULL` on error, `action` if successful.

The returned data is owned by the instance.
The return value can be `NULL`.